moatib a écrit 3 commentaires

  • [^] # Re: Conservatisme

    Posté par . En réponse à la dépêche Debian : Épisode VII. Évalué à 1. Dernière modification le 14/05/13 à 14:55.

    « Due to this timing (and the fact Squeeze has 4.6 and doing a 4.6 → 4.10 upgrade needed some tuning in various packages), it was decided to not try to push 4.10 into Wheezy that late in the release cycle. »

    C'est la principale raison pour laquelle Xfce 4.10 n'est pas dans Wheezy, à savoir que, pour faire la transition de Xfce 4.6 vers 4.10, quelques paquets Debian de Xfce avaient besoin de « tunning » (d'ajustements). C'est principalement par paresse du mainteneur de Xfce dans Debian que nous n'avons pas Xfce 4.10 dans Wheezy et que nous sommes pris avec la version 4.8 vielle de plus de deux ans !

    Et quand Corsac (Yves-Alexis Perez, mainteneur de Xfce dans Debian) écrit ceci à propos des bogues critiques :

    « So, if you want to have Xfce 4.10 in Debian sid/testing sooner, then the easiest and fastest way is to fix some release critical bugs so we can release sooner, and then start breaking sid by uploading a whole lot of new stuff there. »

    Il demande aux utilisateurs de Debian/Xfce « impatients » de voir Xfce 4.10 arriver plus rapidement dans Unstable/Testing, de corriger les bogues critiques de Debian pour que Wheezy sorte plus rapidement et ainsi voir Xfce 4.10 passer de Experimental vers Unstable (et après, longtemps après, dans Testing). Il n'y a aucune mention de bogues critiques de Xfce 4.10 dans le texte de Corsac.

    Vous auriez intérêt à prendre des cours d'anglais avancés…

    Et dix jours après la sortie de Wheezy, à part un nouvel upload de lightdm qui n'a rien à voir avec Xfce, c'est le vide absolu dans le SVN de pkg-xfce Debian !

    Je serais même presque prêt à mettre ma main au feu que Xfce 4.12 verra le jour avant même que Xfce 4.10 soit utilisable dans Debian Unstable/Testing. Dans ces conditions, on est loin, très loin, de pouvoir affirmer que les utilisateurs de Xfce dans Debian peuvent contribuer à l'amélioration et la correction de bogues des versions récentes de Xfce…

  • [^] # Re: Conservatisme

    Posté par . En réponse à la dépêche Debian : Épisode VII. Évalué à -1.

    Le lien de mon message précédent pointe vers le blog du mainteneur de Xfce de Debian et on voit bien que c'est lui qui ne voulait pas se prendre la tête avec la transition de Xfce 4.6 vers 4.10.

    Pour ce qui est de mon allusion sur les scripts fournis par les développeurs de Xfce, tout utilisateurs de longue date curieux de l'évolution de son développement sont au courant de ce fait. Même la transition de la version 4.4 avec son ancien système de configuration (xfce4-mcs-manager) vers la version 4.6 et le nouveau système de configuration (xfconf) a été entièrement prise en charge par les scripts des devs de Xfce.

  • [^] # Re: Conservatisme

    Posté par . En réponse à la dépêche Debian : Épisode VII. Évalué à 10.

    Votre commentaire est dans le faux ! Nous n'avons pas eu à « refaire notre configuration » depuis Xfce 4.6 il y a plus de quatre ans et la migration de version en version est automatiquement prise en charge par des scripts gracieusement fournis par les devs de Xfce depuis au moins Xfce 4.2 en 2005 pour faciliter la vie des utilisateurs et des mainteneurs de Xfce dans les différentes distributions GNU/Linux.

    Ce sont les mainteneurs de Xfce dans Debian qui ont refusé de prendre en charge la migration de Xfce 4.6 de Squeeze vers 4.10 dans Wheezy :

    http://corsac.net/?rub=blog&post=1546